---
title: Harper for Obsidian
---

The Harper plugin is a powerful, privacy-first grammar and spell-checking tool designed specifically for Obsidian users. Unlike many other grammar checkers, Harper operates entirely offline, ensuring your data remains secure while providing real-time, high-performance corrections. This plugin is ideal for writers, academics, and developers who value privacy and efficiency in their workflows.

![A screenshot of Obsidian with Harper installed](/images/obsidian_screenshot.webp)

## Key Features

### Privacy-Focused

- Harper runs entirely on your device, meaning no data is sent to external servers.
- Unlike tools like Grammarly or LanguageTool (when not self-hosted), Harper ensures complete ownership and confidentiality of your notes.

### Real-Time Grammar and Spell Checking

- The plugin automatically scans your text as you type, highlighting grammatical errors, spelling mistakes, and stylistic inconsistencies.
- Hovering over an error provides instant suggestions for corrections, making editing seamless.

### Lightweight and Fast

- Built with performance in mind, Harper delivers corrections in milliseconds without slowing down even large vaults.
- It has a minimal memory footprint compared to alternatives like LanguageTool, which can require significant resources.

### Open Source

- Harper is fully open source, allowing transparency and community contributions to improve its functionality.
- Developers can review the codebase or contribute directly via the [GitHub repository](https://github.com/automattic/harper-obsidian-plugin).

## How It Compares to Other Plugins

| Feature                | Harper                        | LanguageTool                      |
| ---------------------- | ----------------------------- | --------------------------------- |
| **Privacy**            | 100% offline                  | Requires self-hosting for privacy |
| **Real-Time Checking** | Yes                           | Yes                               |
| **Language Support**   | American English (extensible) | 30+ languages                     |
| **Open Source**        | Yes                           | Partially                         |
| **Ease of Use**        | Simple setup                  | Requires API/self-hosting setup   |
| **Performance**        | Fast and lightweight          | Resource-intensive                |

## Installation Guide

- Open Obsidian and navigate to **Settings → Community Plugins → Browse**.
- Search for "Harper" in the plugin library.
- Click "Install" and then "Enable."
- Start typing in your notes—Harper will automatically highlight errors as you go!

---

:::warning[Notice]
Harper expects an up-to-date version of Electron. If you have issues, [reinstall Obsidian](https://obsidian.md/download) or otherwise update your Electron version.
:::

## Future Development

The team behind Harper welcomes feedback and [contributions from the community](https://github.com/automattic/harper). Planned updates include:

- Support for additional languages.
- Advanced customization options for grammar rules.
- Improved performance for extremely large documents.

## Why Choose Harper?

Harper stands out as a reliable, private, and efficient grammar checker tailored to Obsidian users' needs. Whether you're drafting essays, documenting code, or simply jotting down ideas, Harper ensures your writing is polished without sacrificing speed or security.

For more details or to contribute to the project, visit the [GitHub page](https://github.com/automattic/harper).
